import { EHtml, EHead, EPreview, EBody, EContainer, ESection, EImg, EText, EHr } from 'vue-email';
import { withCtx, createTextVNode, createVNode, useSSRContext } from 'vue';
import { ssrRenderComponent } from 'vue/server-renderer';

const _sfc_main = {
  __name: "bienvenu",
  __ssrInlineRender: true,
  setup(__props) {
    const main = {
      backgroundColor: "#f6f9fc",
      fontFamily: '-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Ubuntu,sans-serif'
    };
    const container = {
      backgroundColor: "#ffffff",
      margin: "0 auto",
      padding: "20px 0 48px",
      marginBottom: "64px"
    };
    const box = {
      padding: "0 48px"
    };
    const hr = {
      borderColor: "#e6ebf1",
      margin: "20px 0"
    };
    const paragraph = {
      color: "#525f7f",
      fontSize: "16px",
      lineHeight: "24px",
      textAlign: "left"
    };
    const footer = {
      color: "#8898aa",
      fontSize: "12px",
      lineHeight: "16px"
    };
    return (_ctx, _push, _parent, _attrs) => {
      const _component_EHtml = EHtml;
      const _component_EHead = EHead;
      const _component_EPreview = EPreview;
      const _component_EBody = EBody;
      const _component_EContainer = EContainer;
      const _component_ESection = ESection;
      const _component_EImg = EImg;
      const _component_EText = EText;
      const _component_EHr = EHr;
      _push(ssrRenderComponent(_component_EHtml, _attrs, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(ssrRenderComponent(_component_EHead, null, null, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_EPreview, null, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(`Votre demande de prix a \xE9t\xE9 prise en compte`);
                } else {
                  return [
                    createTextVNode("Votre demande de prix a \xE9t\xE9 prise en compte")
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
            _push2(ssrRenderComponent(_component_EBody, { style: main }, {
              default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                if (_push3) {
                  _push3(ssrRenderComponent(_component_EContainer, { style: container }, {
                    default: withCtx((_3, _push4, _parent4, _scopeId3) => {
                      if (_push4) {
                        _push4(ssrRenderComponent(_component_ESection, { style: box }, {
                          default: withCtx((_4, _push5, _parent5, _scopeId4) => {
                            if (_push5) {
                              _push5(ssrRenderComponent(_component_EImg, {
                                src: "https://abenes.bj/assets/images/logo.png",
                                width: "100",
                                height: "100",
                                alt: "Logo ABENES SARL"
                              }, null, _parent5, _scopeId4));
                              _push5(ssrRenderComponent(_component_EText, { style: paragraph }, {
                                default: withCtx((_5, _push6, _parent6, _scopeId5) => {
                                  if (_push6) {
                                    _push6(` Salut ! `);
                                  } else {
                                    return [
                                      createTextVNode(" Salut ! ")
                                    ];
                                  }
                                }),
                                _: 1
                              }, _parent5, _scopeId4));
                              _push5(ssrRenderComponent(_component_EText, { style: paragraph }, {
                                default: withCtx((_5, _push6, _parent6, _scopeId5) => {
                                  if (_push6) {
                                    _push6(` Bienvenu sur notre Plateforme `);
                                  } else {
                                    return [
                                      createTextVNode(" Bienvenu sur notre Plateforme ")
                                    ];
                                  }
                                }),
                                _: 1
                              }, _parent5, _scopeId4));
                              _push5(ssrRenderComponent(_component_EText, { style: paragraph }, {
                                default: withCtx((_5, _push6, _parent6, _scopeId5) => {
                                  if (_push6) {
                                    _push6(`Nous sommes heureux d&#39;accusez reception de votre demande de prix `);
                                  } else {
                                    return [
                                      createTextVNode("Nous sommes heureux d'accusez reception de votre demande de prix ")
                                    ];
                                  }
                                }),
                                _: 1
                              }, _parent5, _scopeId4));
                              _push5(ssrRenderComponent(_component_EText, { style: paragraph }, {
                                default: withCtx((_5, _push6, _parent6, _scopeId5) => {
                                  if (_push6) {
                                    _push6(` \u2014 ABENES SARL `);
                                  } else {
                                    return [
                                      createTextVNode(" \u2014 ABENES SARL ")
                                    ];
                                  }
                                }),
                                _: 1
                              }, _parent5, _scopeId4));
                              _push5(ssrRenderComponent(_component_EHr, { style: hr }, null, _parent5, _scopeId4));
                              _push5(ssrRenderComponent(_component_EText, { style: footer }, {
                                default: withCtx((_5, _push6, _parent6, _scopeId5) => {
                                  if (_push6) {
                                    _push6(` Cotonou Benin Zogbo C/1880 `);
                                  } else {
                                    return [
                                      createTextVNode(" Cotonou Benin Zogbo C/1880 ")
                                    ];
                                  }
                                }),
                                _: 1
                              }, _parent5, _scopeId4));
                            } else {
                              return [
                                createVNode(_component_EImg, {
                                  src: "https://abenes.bj/assets/images/logo.png",
                                  width: "100",
                                  height: "100",
                                  alt: "Logo ABENES SARL"
                                }),
                                createVNode(_component_EText, { style: paragraph }, {
                                  default: withCtx(() => [
                                    createTextVNode(" Salut ! ")
                                  ]),
                                  _: 1
                                }),
                                createVNode(_component_EText, { style: paragraph }, {
                                  default: withCtx(() => [
                                    createTextVNode(" Bienvenu sur notre Plateforme ")
                                  ]),
                                  _: 1
                                }),
                                createVNode(_component_EText, { style: paragraph }, {
                                  default: withCtx(() => [
                                    createTextVNode("Nous sommes heureux d'accusez reception de votre demande de prix ")
                                  ]),
                                  _: 1
                                }),
                                createVNode(_component_EText, { style: paragraph }, {
                                  default: withCtx(() => [
                                    createTextVNode(" \u2014 ABENES SARL ")
                                  ]),
                                  _: 1
                                }),
                                createVNode(_component_EHr, { style: hr }),
                                createVNode(_component_EText, { style: footer }, {
                                  default: withCtx(() => [
                                    createTextVNode(" Cotonou Benin Zogbo C/1880 ")
                                  ]),
                                  _: 1
                                })
                              ];
                            }
                          }),
                          _: 1
                        }, _parent4, _scopeId3));
                      } else {
                        return [
                          createVNode(_component_ESection, { style: box }, {
                            default: withCtx(() => [
                              createVNode(_component_EImg, {
                                src: "https://abenes.bj/assets/images/logo.png",
                                width: "100",
                                height: "100",
                                alt: "Logo ABENES SARL"
                              }),
                              createVNode(_component_EText, { style: paragraph }, {
                                default: withCtx(() => [
                                  createTextVNode(" Salut ! ")
                                ]),
                                _: 1
                              }),
                              createVNode(_component_EText, { style: paragraph }, {
                                default: withCtx(() => [
                                  createTextVNode(" Bienvenu sur notre Plateforme ")
                                ]),
                                _: 1
                              }),
                              createVNode(_component_EText, { style: paragraph }, {
                                default: withCtx(() => [
                                  createTextVNode("Nous sommes heureux d'accusez reception de votre demande de prix ")
                                ]),
                                _: 1
                              }),
                              createVNode(_component_EText, { style: paragraph }, {
                                default: withCtx(() => [
                                  createTextVNode(" \u2014 ABENES SARL ")
                                ]),
                                _: 1
                              }),
                              createVNode(_component_EHr, { style: hr }),
                              createVNode(_component_EText, { style: footer }, {
                                default: withCtx(() => [
                                  createTextVNode(" Cotonou Benin Zogbo C/1880 ")
                                ]),
                                _: 1
                              })
                            ]),
                            _: 1
                          })
                        ];
                      }
                    }),
                    _: 1
                  }, _parent3, _scopeId2));
                } else {
                  return [
                    createVNode(_component_EContainer, { style: container }, {
                      default: withCtx(() => [
                        createVNode(_component_ESection, { style: box }, {
                          default: withCtx(() => [
                            createVNode(_component_EImg, {
                              src: "https://abenes.bj/assets/images/logo.png",
                              width: "100",
                              height: "100",
                              alt: "Logo ABENES SARL"
                            }),
                            createVNode(_component_EText, { style: paragraph }, {
                              default: withCtx(() => [
                                createTextVNode(" Salut ! ")
                              ]),
                              _: 1
                            }),
                            createVNode(_component_EText, { style: paragraph }, {
                              default: withCtx(() => [
                                createTextVNode(" Bienvenu sur notre Plateforme ")
                              ]),
                              _: 1
                            }),
                            createVNode(_component_EText, { style: paragraph }, {
                              default: withCtx(() => [
                                createTextVNode("Nous sommes heureux d'accusez reception de votre demande de prix ")
                              ]),
                              _: 1
                            }),
                            createVNode(_component_EText, { style: paragraph }, {
                              default: withCtx(() => [
                                createTextVNode(" \u2014 ABENES SARL ")
                              ]),
                              _: 1
                            }),
                            createVNode(_component_EHr, { style: hr }),
                            createVNode(_component_EText, { style: footer }, {
                              default: withCtx(() => [
                                createTextVNode(" Cotonou Benin Zogbo C/1880 ")
                              ]),
                              _: 1
                            })
                          ]),
                          _: 1
                        })
                      ]),
                      _: 1
                    })
                  ];
                }
              }),
              _: 1
            }, _parent2, _scopeId));
          } else {
            return [
              createVNode(_component_EHead),
              createVNode(_component_EPreview, null, {
                default: withCtx(() => [
                  createTextVNode("Votre demande de prix a \xE9t\xE9 prise en compte")
                ]),
                _: 1
              }),
              createVNode(_component_EBody, { style: main }, {
                default: withCtx(() => [
                  createVNode(_component_EContainer, { style: container }, {
                    default: withCtx(() => [
                      createVNode(_component_ESection, { style: box }, {
                        default: withCtx(() => [
                          createVNode(_component_EImg, {
                            src: "https://abenes.bj/assets/images/logo.png",
                            width: "100",
                            height: "100",
                            alt: "Logo ABENES SARL"
                          }),
                          createVNode(_component_EText, { style: paragraph }, {
                            default: withCtx(() => [
                              createTextVNode(" Salut ! ")
                            ]),
                            _: 1
                          }),
                          createVNode(_component_EText, { style: paragraph }, {
                            default: withCtx(() => [
                              createTextVNode(" Bienvenu sur notre Plateforme ")
                            ]),
                            _: 1
                          }),
                          createVNode(_component_EText, { style: paragraph }, {
                            default: withCtx(() => [
                              createTextVNode("Nous sommes heureux d'accusez reception de votre demande de prix ")
                            ]),
                            _: 1
                          }),
                          createVNode(_component_EText, { style: paragraph }, {
                            default: withCtx(() => [
                              createTextVNode(" \u2014 ABENES SARL ")
                            ]),
                            _: 1
                          }),
                          createVNode(_component_EHr, { style: hr }),
                          createVNode(_component_EText, { style: footer }, {
                            default: withCtx(() => [
                              createTextVNode(" Cotonou Benin Zogbo C/1880 ")
                            ]),
                            _: 1
                          })
                        ]),
                        _: 1
                      })
                    ]),
                    _: 1
                  })
                ]),
                _: 1
              })
            ];
          }
        }),
        _: 1
      }, _parent));
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("emails/bienvenu.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
//# sourceMappingURL=bienvenu-Nz_EI2C_.mjs.map
