import { _ as __nuxt_component_0 } from './nuxt-link-IzlaOwBm.mjs';
import { d as useAuth } from '../server.mjs';
import { defineComponent, ref, mergeProps, withCtx, createVNode, unref, useSSRContext } from 'vue';
import { ssrRenderAttrs, ssrRenderComponent, ssrInterpolate } from 'vue/server-renderer';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "clt-mobile-dash",
  __ssrInlineRender: true,
  setup(__props) {
    const { status, data, signOut } = useAuth();
    const sta = ref();
    const dato = ref();
    sta.value = status.value;
    dato.value = data.value;
    return (_ctx, _push, _parent, _attrs) => {
      const _component_NuxtLink = __nuxt_component_0;
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "col-sm-auto sticky-top shadow-lg bg-body-tertiary rounded mt-5 mnavv pt-5 pb-5" }, _attrs))}><div class="d-flex flex-sm-column flex-row flex-nowrap bg-light align-items-center sticky-top">`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        to: "/mon-espace",
        class: "d-block p-3 link-dark text-decoration-none",
        title: "Tableau de bord",
        "data-bs-toggle": "tooltip",
        "data-bs-placement": "right",
        "data-bs-original-title": "Icon-only"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<i class="fad fa-grip-horizontal fs-1 text-primary"${_scopeId}></i>`);
          } else {
            return [
              createVNode("i", { class: "fad fa-grip-horizontal fs-1 text-primary" })
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`<ul class="nav nav-pills nav-flush flex-sm-column flex-row flex-nowrap mb-auto mx-auto text-center align-items-center"><li class="nav-item">`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        href: "/mon-espace/commande",
        class: "nav-link py-3 px-2",
        title: "Gestion de la page d'acceuil",
        "data-bs-toggle": "tooltip",
        "data-bs-placement": "right",
        "data-bs-original-title": "Mes Commandes"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<i class="fa fa-shopping-cart fs-1"${_scopeId}></i>`);
          } else {
            return [
              createVNode("i", { class: "fa fa-shopping-cart fs-1" })
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li><li>`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        href: "/mon-espace/souhait",
        class: "nav-link py-3 px-2",
        title: "",
        "data-bs-toggle": "tooltip",
        "data-bs-placement": "right",
        "data-bs-original-title": "Liste de Souhait"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<i class="fa fa-heart fs-1 text-info"${_scopeId}></i>`);
          } else {
            return [
              createVNode("i", { class: "fa fa-heart fs-1 text-info" })
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li><li>`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        href: "/mon-espace/historique",
        class: "nav-link py-3 px-2",
        title: "",
        "data-bs-toggle": "tooltip",
        "data-bs-placement": "right",
        "data-bs-original-title": "Mes Historique de paiement"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<i class="fa fa-history fs-1 text-warning"${_scopeId}></i>`);
          } else {
            return [
              createVNode("i", { class: "fa fa-history fs-1 text-warning" })
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li><li>`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        href: "#",
        class: "nav-link py-3 px-2",
        title: "",
        "data-bs-toggle": "tooltip",
        "data-bs-placement": "right",
        "data-bs-original-title": "Mes Appareil"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<i class="fad fa-digital-tachograph fs-1"${_scopeId}></i>`);
          } else {
            return [
              createVNode("i", { class: "fad fa-digital-tachograph fs-1" })
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</li></ul><div class="dropdown">`);
      if (unref(sta) === "authenticated") {
        _push(`<button class="dark-black-color1 btn btn-danger text-withe"><span><i class="fas fa-sign-out-alt text-white"></i></span> ${ssrInterpolate(unref(dato).user.lastname.charAt(0).toUpperCase())}. ${ssrInterpolate(unref(dato).user.name.charAt(0).toUpperCase())}</button>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div></div></div>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/clt-mobile-dash.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as _ };
//# sourceMappingURL=clt-mobile-dash-gqOpldVW.mjs.map
