import { _ as _sfc_main$1 } from './header-fU_S1xCz.mjs';
import { _ as _sfc_main$2 } from './CtaInscription-m7AalgsB.mjs';
import { d as useAuth } from '../server.mjs';
import { defineComponent, ref, withAsyncContext, unref, useSSRContext } from 'vue';
import { u as useFetch } from './logo-BdZ9DXkY.mjs';
import { ssrRenderComponent, ssrRenderList, ssrRenderAttr, ssrInterpolate } from 'vue/server-renderer';
import Swal from 'sweetalert2';
import './nuxt-link-IzlaOwBm.mjs';
import '../../nitro/node-server.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'mongoose';
import 'requrl';
import 'node:fs';
import 'node:url';
import 'ipx';
import './icon-QzuyK0xg.mjs';
import '../../handlers/renderer.mjs';
import 'vue-bundle-renderer/runtime';
import 'devalue';
import '@unhead/ssr';
import 'unhead';
import '@unhead/shared';
import 'vue-router';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "panier",
  __ssrInlineRender: true,
  async setup(__props) {
    let __temp, __restore;
    const { status, data, signOut, getCsrfToken } = useAuth();
    const sta = ref();
    const dato = ref();
    sta.value = status.value;
    dato.value = data.value;
    console.log(status.value);
    Swal.mixin({
      toast: true,
      position: "top-end",
      showConfirmButton: false,
      timer: 3e3,
      timerProgressBar: false,
      didOpen: (toast) => {
        toast.addEventListener("mouseenter", Swal.stopTimer);
        toast.addEventListener("mouseleave", Swal.resumeTimer);
      }
    });
    const panier = ref();
    const csrfToken = ([__temp, __restore] = withAsyncContext(() => getCsrfToken()), __temp = await __temp, __restore(), __temp);
    async function getPanier() {
      if (status.value === "authenticated") {
        try {
          const { data: resu } = await useFetch("/api/dash/acceuil/panier/cherche", {
            method: "POST",
            body: {
              filtre: {
                userMail: dato.value.user.email
              }
            }
          }, "$EOJVZrylmR");
          panier.value = resu.value;
        } catch (error) {
          console.error("Erreur lors ", error);
        }
      } else {
        try {
          const { data: resu } = await useFetch("/api/dash/acceuil/panier/cherche", {
            method: "POST",
            body: {
              filtre: {
                navToken: csrfToken,
                userMail: ""
              }
            }
          }, "$ajGuGnL04I");
          panier.value = resu.value;
        } catch (error) {
          console.error("Erreur lors ", error);
        }
      }
    }
    [__temp, __restore] = withAsyncContext(() => getPanier()), await __temp, __restore();
    return (_ctx, _push, _parent, _attrs) => {
      const _component_Header = _sfc_main$1;
      const _component_CtaInscription = _sfc_main$2;
      _push(`<!--[-->`);
      _push(ssrRenderComponent(_component_Header, null, null, _parent));
      _push(`<div class="row mb-5"><div class="col-md-2"></div><div class="col-md-8"><div class="row mt-2"><div class="col-12"><div class="w-auto alert alert-dismissible animate fade show bg-primary-subtle bg-darken-sm shadow-lg shadow-primary rounded-pill" role="alert"><div class="d-flex"><div class="col-md-2 text-sm-center"><i class="fas fa-info-circle fs-1 text-primary"></i></div><div class="col-md-8 text-sm-center"><h5 class="text-sm-center text-primary">Les Prix de nos Articles son sur demande </h5></div><div class="col-md-2 mx-auto text-end"><button class="btn btn-primary rounded-pill text-center">plus d&#39;info</button></div></div></div></div></div><div class="row mt-1"><div class="col-sm-10 col-sm-12 justify-content-center"><div class="card widget-card border-light shadow-lg"><div class="card-body p-4"><div class="row"><div class="col-4"><h5 class="card-title widget-card-title mb-3">Mon Panier </h5></div><div class="col-4"></div><div class="col-4"><div class="d-flex justify-content-end"><div class="lh-1 text-white bg-primary rounded-circle p-3 d-flex align-items-center justify-content-center"><i class="fa fa-shopping-cart fs-1"></i></div></div></div><div class="col-12"><div class="table-responsive"><table class="table table-hover"><thead><tr><th scope="col">Image</th><th scope="col">Produit</th><th scope="col">Quantit\xE9</th><th>Status</th><th scope="col">Action</th></tr></thead><tbody><!--[-->`);
      ssrRenderList(unref(panier), (item) => {
        _push(`<tr><th scope="row"><img${ssrRenderAttr("src", item.prodImg1)} alt="" width="50px" height="50px"></th><td><p class="text-uppercase">${ssrInterpolate(item.mark)}</p> ${ssrInterpolate(item.prodNom)} <b>${ssrInterpolate(item.model)}</b></td><td>${ssrInterpolate(item.qte)}</td><td>`);
        if (item.status == "En attente de Prix") {
          _push(`<span class="badge bg-warning">${ssrInterpolate(item.status)}</span>`);
        } else {
          _push(`<!---->`);
        }
        _push(`</td><td><button class="btn btn-danger"><i class="fa fa-trash"></i></button></td></tr>`);
      });
      _push(`<!--]--></tbody></table></div><div class="d-flex align-items-center mt-3"><span class="lh-1 me-3 bg-warning-subtle text-success rounded-circle p-1 d-flex align-items-center justify-content-center"><i class="fa fa-arrow-left bsb-rotate-45 text-warning"></i></span></div></div>`);
      if (unref(panier).length > 0) {
        _push(`<div class="col-12 text-center bg-success-subtle rounded-pill p-2"><button class="btn btn-success rounded-pill p-3 text-center">Demander le prix </button></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div></div></div></div></div></div><div class="col-md-2"></div></div>`);
      _push(ssrRenderComponent(_component_CtaInscription, null, null, _parent));
      _push(`<!--]-->`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("pages/panier.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as default };
//# sourceMappingURL=panier-MAvzbQ9N.mjs.map
