import { _ as __nuxt_component_0 } from './nuxt-link-IzlaOwBm.mjs';
import { d as useAuth } from '../server.mjs';
import { defineComponent, ref, withAsyncContext, mergeProps, unref, withCtx, createTextVNode, useSSRContext } from 'vue';
import { ssrRenderAttrs, ssrInterpolate, ssrRenderComponent } from 'vue/server-renderer';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "widget",
  __ssrInlineRender: true,
  async setup(__props) {
    let __temp, __restore;
    const { status, data, getCsrfToken } = useAuth();
    const dato = ref();
    const souh = ref();
    const panier = ref();
    dato.value = data.value;
    [__temp, __restore] = withAsyncContext(() => getCsrfToken()), __temp = await __temp, __restore();
    const fact = ref();
    return (_ctx, _push, _parent, _attrs) => {
      const _component_NuxtLink = __nuxt_component_0;
      _push(`<section${ssrRenderAttrs(mergeProps({ class: "py-3 py-md-5" }, _attrs))}><div class="container"><div class="row justify-content-center"><div class="col-12 col-lg-10 col-xl-8 col-xxl-7"><div class="row gy-4"><div class="col-12 col-sm-4"><div class="card widget-card border-light shadow-lg"><div class="card-body p-4"><div class="row"><div class="col-8"><h5 class="card-title widget-card-title mb-3">Mes Commandes</h5>`);
      if (unref(panier)) {
        _push(`<h4 class="card-subtitle text-body-secondary m-0">${ssrInterpolate(unref(panier).length)} Article</h4>`);
      } else {
        _push(`<h4 class="card-subtitle text-body-secondary m-0">0</h4>`);
      }
      _push(`</div><div class="col-4"><div class="d-flex justify-content-end"><div class="lh-1 text-white bg-primary shadow-lg rounded-circle p-3 d-flex align-items-center justify-content-center"><i class="fa fa-shopping-cart fs-4"></i></div></div></div></div><div class="row"><div class="col-12">`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        href: "/mon-espace/commande",
        class: "btn bg-primary-subtle rounded-pill btn-sm text-dark mt-3"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`Voir `);
          } else {
            return [
              createTextVNode("Voir ")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div></div></div></div></div><div class="col-12 col-sm-4"><div class="card widget-card border-light shadow-lg"><div class="card-body p-4"><div class="row"><div class="col-8"><h5 class="card-title widget-card-title mb-3">Ma liste de souhaits</h5>`);
      if (unref(souh)) {
        _push(`<h4 class="card-subtitle text-body-secondary m-0">${ssrInterpolate(unref(souh).length)} Articles</h4>`);
      } else {
        _push(`<h4 class="card-subtitle text-body-secondary m-0">0 Articles</h4>`);
      }
      _push(`</div><div class="col-4"><div class="d-flex justify-content-end"><div class="lh-1 text-white bg-info shadow-lg rounded-circle p-3 d-flex align-items-center justify-content-center"><i class="fa fa-heart fs-4"></i></div></div></div></div><div class="row"><div class="col-12">`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        href: "/mon-espace/souhait",
        class: "btn bg-info-subtle rounded-pill btn-sm text-dark mt-3"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(` Voir `);
          } else {
            return [
              createTextVNode(" Voir ")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div></div></div></div></div><div class="col-12 col-sm-4"><div class="card widget-card border-light shadow-lg"><div class="card-body p-4"><div class="row"><div class="col-8"><h5 class="card-title widget-card-title mb-3">Historique d&#39;achat</h5>`);
      if (unref(fact)) {
        _push(`<h4 class="card-subtitle text-body-secondary m-0">${ssrInterpolate(unref(fact).length)} Articles</h4>`);
      } else {
        _push(`<h4 class="card-subtitle text-body-secondary m-0">0 Articles</h4>`);
      }
      _push(`</div><div class="col-4"><div class="d-flex justify-content-end"><div class="lh-1 text-white shadow-lg bg-warning rounded-circle p-3 d-flex align-items-center justify-content-center"><i class="fa fa-history fs-4"></i></div></div></div></div><div class="row"><div class="col-12">`);
      _push(ssrRenderComponent(_component_NuxtLink, {
        href: "/mon-espace/historique",
        class: "btn bg-warning-subtle rounded-pill btn-sm text-dark mt-3"
      }, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`Voir `);
          } else {
            return [
              createTextVNode("Voir ")
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`</div></div></div></div></div><div class="col-12"><div class="card widget-card border-light shadow-lg"><div class="card-body p-4"><div class="row"><div class="col-8"><h5 class="card-title widget-card-title mb-3">Mes Appareils</h5><h4 class="card-subtitle text-body-secondary m-0">0 Appareil(s)</h4></div><div class="col-4"><div class="d-flex justify-content-end"><div class="lh-1 text-white bg-danger shadow-lg rounded-circle p-3 d-flex align-items-center justify-content-center"><i class="fa fa-history fs-4"></i></div></div></div></div><div class="row"><div class="col-12"><a href="#" class="btn btn-primary rounded-pill btn-sm mt-3">Ajouter un appareil</a></div></div></div></div></div></div></div></div></div></section>`);
    };
  }
});
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("components/widget.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};

export { _sfc_main as _ };
//# sourceMappingURL=widget-tZZBbMFW.mjs.map
