import { l as defineEventHandler, r as readBody, j as createError } from './nitro/node-server.mjs';
import { P as PanierShema } from './panier.mjs';
import { F as FactureSchema } from './facture.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'mongoose';
import 'requrl';
import 'node:fs';
import 'node:url';
import 'ipx';
import './model.mjs';

const demandePrix_post = defineEventHandler(async (event) => {
  const body = await readBody(event);
  const filtre = body.filtre;
  const up = body.update;
  const pan = body.panier;
  console.log(pan);
  try {
    const r = await PanierShema.updateMany(filtre, up);
    if (r.acknowledged === true) {
      const facture = {
        numeroF: "F" + Date.now(),
        date: /* @__PURE__ */ new Date(),
        montant: 0,
        client: pan.userMail,
        userMail: pan.userMail,
        etat: "en attente",
        type: "Proforma",
        reglement: "en attente",
        modeReglement: "en attente",
        articles: [...pan]
      };
      const r3 = await FactureSchema.create(facture);
      return r3;
    } else {
      throw createError({
        statusCode: 401,
        statusMessage: "operarion non effectuee"
      });
    }
  } catch (error) {
    console.error(error);
  }
});

export { demandePrix_post as default };
//# sourceMappingURL=demandePrix.post.mjs.map
