import { l as defineEventHandler, r as readBody, c as useRuntimeConfig, j as createError } from './nitro/node-server.mjs';
import * as nodemailer from 'nodemailer';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'mongoose';
import 'requrl';
import 'node:fs';
import 'node:url';
import 'ipx';

const email_post = defineEventHandler(async (event) => {
  const { email, subject, name, body } = await readBody(event);
  const transporter = nodemailer.createTransport({
    host: useRuntimeConfig().SMTP_HOST,
    port: useRuntimeConfig().SMTP_PORT,
    secure: false,
    auth: {
      user: useRuntimeConfig().SMTP_USER,
      pass: useRuntimeConfig().SMTP_PASS
    }
  });
  try {
    const mailOptions = {
      from: "ABENES SARL <app@abenes.bj>",
      to: email,
      subject,
      html: "xxxxxx",
      text: `Bonjour ${name}, ${body}`
    };
    const x = await transporter.sendMail(mailOptions);
    return x;
  } catch (error) {
    console.log(error);
    return createError({ statusCode: 500, statusMessage: "Something went wrong.", err: error });
  }
});

export { email_post as default };
//# sourceMappingURL=email.post.mjs.map
