import { d as defineMongooseModel } from './model.mjs';

const FactureSchema = defineMongooseModel({
  name: "Facture",
  schema: {
    numeroF: {
      type: String,
      required: true,
      unique: true
    },
    date: {
      type: Date,
      required: true
    },
    montant: {
      type: Number,
      required: true
    },
    client: {
      type: String
    },
    userMail: {
      type: String,
      required: true
    },
    etat: {
      type: String,
      required: true
    },
    type: {
      type: String,
      required: true
    },
    reglement: {
      type: String
    },
    modeReglement: {
      type: String
    },
    articles: {
      type: Array,
      required: true
    }
  }
});

export { FactureSchema as F };
//# sourceMappingURL=facture.mjs.map
