import { l as defineEventHandler, z as useStorage, A as pascalCase, B as kebabCase, j as createError } from '../nitro/node-server.mjs';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'mongoose';
import 'requrl';
import 'node:fs';
import 'node:url';
import 'ipx';

const emails_get = defineEventHandler(async () => {
  try {
    const nitroEmails = await useStorage("assets:emails").getKeys();
    const emails = await Promise.all(
      nitroEmails.map(async (email) => {
        const data = JSON.stringify(await useStorage("assets:emails").getMeta(email));
        const emailData = JSON.parse(data);
        const content = await useStorage("assets:emails").getItem(email);
        return {
          label: pascalCase(kebabCase(email.replace(".vue", "").replace(":", "_")).split("-").join(" ")),
          filename: email,
          content,
          icon: "i-heroicons-envelope",
          size: emailData.size,
          created: emailData.birthtime,
          modified: emailData.mtime
        };
      })
    );
    if (!emails || !emails.length) {
      throw createError({
        statusCode: 404,
        statusMessage: "Not Found"
      });
    }
    return emails;
  } catch (error) {
    throw createError({
      statusCode: 500,
      statusMessage: "Internal Server Error"
    });
  }
});

export { emails_get as default };
//# sourceMappingURL=emails.get.mjs.map
