import { d as defineMongooseModel } from './model.mjs';

const ProduitShema = defineMongooseModel({
  name: "Produit",
  schema: {
    prodid: {
      type: String,
      unique: true,
      required: true
    },
    nomcat: {
      type: String,
      required: true,
      lowercase: true
    },
    nomscat: {
      type: String,
      required: true,
      lowercase: true
    },
    mark: {
      type: String,
      required: true,
      lowercase: true,
      trim: true
    },
    model: {
      type: String,
      required: true,
      lowercase: true,
      trim: true
    },
    prodNom: {
      type: String,
      required: true,
      lowercase: true
    },
    prodDesCour: {
      type: String,
      required: true
    },
    prodDesLong: {
      type: String,
      required: true
    },
    prodPrix: {
      type: Number,
      required: true
    },
    prodPrixPromo: {
      type: Number
    },
    prodImg1: {
      type: String,
      required: true
    },
    prodImg2: {
      type: String
    },
    prodImg3: {
      type: String
    },
    prodQte: {
      type: Number,
      required: true
    },
    pdf: {
      type: String
    },
    pdfUrl: {
      type: String
    },
    code: {
      type: String,
      required: true,
      lowercase: true,
      trim: true,
      unique: true
    }
  }
});

export { ProduitShema as P };
//# sourceMappingURL=produit.mjs.map
