import { l as defineEventHandler, r as readBody, j as createError } from './nitro/node-server.mjs';
import { U as User } from './User.mjs';
import bcrypt from 'bcrypt';
import 'node:http';
import 'node:https';
import 'fs';
import 'path';
import 'mongoose';
import 'requrl';
import 'node:fs';
import 'node:url';
import 'ipx';

const reg_post = defineEventHandler(async (event) => {
  const body = await readBody(event);
  if (!body.email || !body.password || !body.name || !body.lastname || !body.username) {
    throw createError({
      statusCode: 400,
      statusMessage: "Mauvaise requ\xEAte",
      message: "Tous les champs sont requis"
    });
  }
  const sel = await bcrypt.genSalt(10);
  const hashedPass = await bcrypt.hash(body.password, sel);
  const user = await User.create({ ...body, password: hashedPass });
  return { ...user, password: void 0 };
});

export { reg_post as default };
//# sourceMappingURL=reg.post.mjs.map
